Bug 110952 - "yum update" command hangs
"yum update" command hangs
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On: 101749
  Show dependency treegraph
Reported: 2003-11-25 15:50 EST by chip piller
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-23 11:15:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description chip piller 2003-11-25 15:50:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
I run "yum update" from the command line.  

yum starts normally, checks the server, downloads headers, asks if I
want to update packages.  I enter "y", yum downloads the packages, yum
runs a test transaction and reports success, then yum starts the
install process.  

At this point yum will hang while installing the first part of the
update (done 1/X, see below). I wait for a while, several minutes, but
there is no visible progress, the cursor continues to blink.  CTRL-C
and CTRL-D have no effect so I log in and kill -9 the yum update process.

If I try to run "yum update" again it hangs immediately, it does not
check with the server or anything.

If I manually remove the three __db* files from the /var/lib/rpm
directory and then run the "yum update" command the update will
succeed, although it does not download the packages as it knows that
the packages were downloaded in the earlier attempt.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run "yum update" as root from command line
2.the process will hang as it starts to do the actual update installation

Actual Results:  process hangs

Expected Results:  process should not hang, yum should successfully
complete the installation of updated packages

Additional info:

### I'm using a stock yum.conf file ###

### here is some of the output which shows where yum hangs ###
[update: ethereal 0.9.16-2.FC1.1.i386]
Is this ok [y/N]: y
Getting ethereal-gnome-0.9.16-2.FC1.1.i386.rpm
ethereal-gnome-0.9.16-2.F 100% |=========================| 2.5 MB    00:32
Getting ethereal-0.9.16-2.FC1.1.i386.rpm
ethereal-0.9.16-2.FC1.1.i 100% |=========================| 3.2 MB    00:49
Running test transaction:
Test transaction complete, Success!
ethereal 100 % done 1/4
### yum hangs at this point ###

### here is some output from ps ax  ### 
### I don't know what the netstat process is doing ###
 4186 ?        S      0:00 sshd: piller [priv]
 4188 ?        S      0:00 sshd: piller@pts/1
 4190 pts/1    S      0:00 -bash
 4237 pts/1    S      0:00 su
 4241 pts/1    S      0:00 bash
 4285 pts/1    S      0:18 /usr/bin/python /usr/bin/yum update
 4293 ?        Z      0:00 [netstat <defunct>]
 4303 ?        S      0:00 sshd: piller [priv]
 4305 ?        S      0:00 sshd: piller@pts/2
 4308 pts/2    S      0:00 -bash
 4355 pts/2    S      0:00 su
 4359 pts/2    S      0:00 bash
 4401 pts/2    R      0:00 ps ax
Comment 1 Jeff Johnson 2003-11-30 10:13:28 EST
Try removing stale locks by doing
    rm -f /var/lib/rpm/__db*
Does that fix?
Comment 2 chip piller 2003-12-14 17:58:13 EST
Yes, if I rm -f /var/lib/rpm/__db* then the command will succeed. 
However, I need to repeat this process every time I reboot the
computer.  The fedora core install on this pc is an upgrade from RH9.
Comment 3 Jeff Johnson 2003-12-23 11:15:36 EST
No, __db* files are cleaned when rebooting.

You might want to insure that you are running rpm-4.2-1
or later, available at ftp://ftp.rpm.org/pub/rpm/dist/4.2.x,
there are known stale lock issues with rpm-4.2-0.69 in RHL 9.

Note You need to log in before you can comment on or make changes to this bug.